function favorites(id) {
	var action = "";
	action = ($('*[data-favorites="'+id+'"]').hasClass('active')) ? "del" : "add";
	var request = $.ajax({
	  url: "/index.php?do=favorites&"+action+"="+id,
	  type: "GET",
	  dataType: "html"
	});
	 
	request.done(function(msg) {
		if(msg == "added") {
		  $('*[data-favorites="'+id+'"]').addClass('active').text('Уже в списке "Избранное"');
		  $('.category-list *[data-favorites="'+id+'"]').data('tip', 'Удалить из списка избранного').attr('title', 'Удалить из списка избранного'); // доп функция для всплывающих подсказок в категории
		}
		if(msg == "deleted") {
		  $('*[data-favorites="'+id+'"]').removeClass('active').text('В список "Избранное"');
		  $('.category-list *[data-favorites="'+id+'"]').data('tip', 'Добавить в список избранного').attr('title', 'Добавить в список избранного'); // доп функция для всплывающих подсказок в категории
		}
		count_favs();
	});
	 
	request.fail(function(jqXHR, textStatus) {
		alert( "Ошибка: " + textStatus );
	});
	return false;
}
function load_favs() {
	var request = $.ajax({
	  url: "/index.php?do=favorites",
	  dataType: "html"
	});
	 
	request.done(function(msg) {
		$('#favorites').html(msg);
	});
	 
	request.fail(function(jqXHR, textStatus) {
	  $('#favorites').html(textStatus);
	});
}
function del_favorites(id) {
	var request = $.ajax({
	  url: "/index.php?do=favorites&del="+id,
	  dataType: "html"
	});
	
	request.done(function() {
		$('*[data-favorites="'+id+'"]').removeClass('active').text('В список "Избранное"');
		$('.category-list *[data-favorites="'+id+'"]').attr("data-tip", "Добавить товар в избранные"); // доп функция для всплывающих подсказок в категории
		load_favs();
		count_favs();
	});
	 
	request.fail(function(jqXHR, textStatus) {
	  $('#favorites').html(textStatus);
	});
}
function count_favs() {
	var request = $.ajax({
	  url: "/index.php?do=favorites&count",
	  dataType: "html"
	});
	
	request.done(function(count) {
		$('.favorites .count').remove();
		$('.favorites').removeClass('active');
		if(count>0) {
			$('.favorites').append('<span class="count">('+count+')</span>');
			$('.favorites').addClass('active');
		}
	});
	
}
function check_fav() {

}
$(document).ready(function(){
	$('.favorites-load').on( "click", function(e) {
		e.preventDefault();
		load_favs();
	});
	count_favs();
});