/* форма обратной связи */

function feedback(form) {
		$.ajax({
			url: "/index.php?do=feedback",
			type: "POST",
			data: form.serialize(),
			dataType: "html"
		}).done(function(msg) {
			var dataModal = jQuery.parseJSON(msg);
			form_msg(dataModal.html, 'oki');
			if(dataModal.captchaFlag) {
				clean_form(form);
				if(!dataModal.login) { 
					reset_captcha(form.find(".invisibleCaptcha").attr("data-captcha")); 
				}
				closeModal(form.closest('.styleModalFix').attr('id')); 
			}
		}).fail(function(jqXHR, textStatus) {
			form_msg("Помилка AJAX: " + textStatus, 'error');
		});
}

function reset_captcha(id) {
	grecaptcha.reset(id);		
} 

function clean_form(form) {
	$(form)[0].reset();
}

function check_scroll(){
  if($('body').height()<=$(window).height() || $(".styleModalFixActive").length) $('body').addClass('noscroll');
	else $('body').removeClass('noscroll');
}

function check_form(form) {
				var error = "";
				form.find('input, textarea, select').each(function(){
					$(this).removeClass('error');
					if(!$(this).prop('disabled')) {
						if($(this).hasClass('required') && $.trim($(this).val()) == "") {
							$(this).addClass('error');
							error += "<li>"+$(this).attr('data-error')+"</li>";
						} else if($(this).attr('data-filter') && $(this).hasClass('required')) {
							var filter = $(this).attr('data-filter'),
								field = ($(this).attr('data-field')) ? $(this).attr('data-field') : $(this).attr('name');
							if(filters[filter] && !filters[filter].test($.trim($(this).val()))) {
								$(this).addClass('error');
								error += "<li>"+$(this).attr('data-invalid')+"</li>";
							}
						}
					}
				});
	if(error) error = "<ul>"+error+"</ul>";
	return error;
}

function form_msg(msg, type) {
	$("#messages .styleModalBody").removeClass('error warn oki').addClass(type).html( msg );
	openModal('messages');
}
