/*
GreedyNav.js - http://lukejacksonn.com/actuate
Licensed under the MIT license - http://opensource.org/licenses/MIT
Copyright (c) 2015 Luke Jackson
*/

$(function() {
	
	$('.smartMenu').each(function(){
		var $btn = $(this).find('.moreMenu');
		var $vlinks = $(this).children('ul');
		var $hlinks = $(this).find('.moreMenuList');
		var $this = $(this);

		var numOfItems = 0;
		var totalSpace = 0;
		var closingTime = 1000;
		var breakWidths = [];

		// Get initial state
		$vlinks.children().outerWidth(function(i, w) {
			totalSpace += w;
			numOfItems += 1;
			breakWidths.push(totalSpace);
		});

		var availableSpace, numOfVisibleItems, requiredSpace, timer;

		function check() {

		// Get instant state
		availableSpace = $vlinks.width() - 40;
		numOfVisibleItems = $vlinks.children().length;
		requiredSpace = breakWidths[numOfVisibleItems - 1];

		// There is not enought space
		if (requiredSpace > availableSpace) {
			$vlinks.children().last().prependTo($hlinks); 
			numOfVisibleItems -= 1;
			check();

		// There is more than enough space
		} else if (availableSpace > breakWidths[numOfVisibleItems]) {
			$hlinks.children().first().appendTo($vlinks);
			numOfVisibleItems += 1;
			check();
		}
		// Update the button accordingly
		$btn.attr("count", numOfItems - numOfVisibleItems);
		if (numOfVisibleItems === numOfItems) {
			$btn.addClass('hidden');
			if( $this.parent().hasClass('headmenu') || $this.parent().hasClass('mainmenu')) {
				$vlinks.find('li.ordinary-menu').css('width', '100%');
			} else {
				$vlinks.find('li.ordinary-menu').css('width', 'auto');
			}
			$vlinks.parent().css({
				'visibility':'visible',
				'opacity': 1
			});
			} else {
				$btn.removeClass('hidden');
				
				if($this.parent().hasClass('toolbar')) {
					$vlinks.find('li').css('width', 'auto');
				} else {
					$vlinks.find('li').css('width', '100%');
				}
				
				$vlinks.parent().css({
					'visibility':'visible',
					'opacity': 1
				});
			}
		}

		// Window listeners
		// $(window).resize(function() {
		// check();
		// });




		$($btn).click(function(e){
			if( $(this).find('ul.moreMenuList').hasClass('openmenu') ) {
				$(this).css('z-index', '1');
				$('body').removeClass('active activeHard');
				$(this).find('ul.moreMenuList').removeClass('openmenu')
			} else {
				$(this).css('z-index', '999');
				$('body').addClass('active activeHard');
				$(this).find('ul.moreMenuList').addClass('openmenu')
			}
		});
		


		check();
	})

});
// $(document).click( function(e){
	// if(!$(e.target).closest(".moreMenu").length || $(e.target).closest(".moreMenu").get(0) != $(this).get(0)) {
		// $('.moreMenu').css('z-index', 1)
	// }
// });