function favorites(id) {
	favs = localStorage.getItem('favorites').split(',');
	var action = "";
	action = ($('*[data-favorites="'+id+'"]').hasClass('active')) ? "del" : "add";
	
	if(action == "add") {
		if (favs) {
			in_array = 0;
			favs.forEach(function(item) {
				if (item == id) in_array = 1;
			});
			if(in_array == 0) {
				favs.push(id);
				localStorage.setItem('favorites', favs.join(','));
			}
		} else {
			favs.push(id);
			localStorage.setItem('favorites', favs[0]);
		}
	}
	if(action == "del") {
		if (favs) {
			$.each(favs, function(i, val) {
				if (val == id) favs.splice(i, 1);
			});
			localStorage.setItem('favorites', favs.join(','));
		}
	}
	check_fav();
	count_favs();
	return false;
}
function load_favs() {
	favs = localStorage.getItem('favorites');
	var request = $.ajax({
	  url: "/index.php?do=favorites&ids="+favs,
	  method: "GET",
	  dataType: "html"
	});
	 
	request.done(function(msg) {
		$('#favorites').html(msg);
	});
	 
	request.fail(function(jqXHR, textStatus) {
	  $('#favorites').html(textStatus);
	});
}
function count_favs() {
	favs = localStorage.getItem('favorites');
	if(favs != 0) {
		var request = $.ajax({
		  url: "/index.php?do=favorites&count&ids="+favs,
		  dataType: "html"
		});
		
		request.done(function(count) {
			$('.favorites .count').remove();
			$('.favorites').removeClass('active');
			if(count>0) {
				$('.favorites').append('<span class="count">('+count+')</span>');
				$('.favorites').addClass('active');
			}
		});
	}
}
function del_favorites(id) {
	favs = localStorage.getItem('favorites').split(',');
	if (favs) {
		$.each(favs, function(i, val) {
			if (val == id) favs.splice(i, 1);
		});
		localStorage.setItem('favorites', favs.join(','));
	}
	check_fav();
	load_favs();
	count_favs();
	return false;
}
function check_fav() {
	favs = localStorage.getItem('favorites').split(',');
	$('.product-favorites').removeClass('active').text('В список "Избранное"');
	$('.category-list .product-favorites').data('tip', 'Удалить из списка избранного').attr('title', 'Удалить из списка избранного'); // доп функция для всплывающих подсказок в категории
	if (favs) {
		favs.forEach(function(item) {
			$('*[data-favorites="'+item+'"]').addClass('active').text('Уже в списке "Избранное"');
			$('.category-list *[data-favorites="'+item+'"]').data('tip', 'Добавить в список избранного').attr('title', 'Добавить в список избранного'); // доп функция для всплывающих подсказок в категории
		});
	}
}
$(document).ready(function(){
	if(!localStorage.getItem('favorites')) localStorage.setItem('favorites', '0');
	var favs = localStorage.getItem('favorites').split(',');
	check_fav(favs);
	count_favs();
	
	$('.favorites-load').on( "click", function(e) {
		e.preventDefault();
		load_favs();
	});
});